language: cpp
sudo: required
before_install:
 - sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
 - sudo add-apt-repository 'deb http://archive.ubuntu.com/ubuntu/ vivid main' -y
 - |
   sudo sh -c '/bin/echo -e "Package: *\nPin: release n=vivid\nPin-Priority: 1" > /etc/apt/preferences.d/vivid'
 - sudo apt-get update -qq
install:
 - sudo ./prepare-release travis-ci
 - sudo apt-get -qq -y install gcc-4.8 g++-4.8
 - sudo apt-get -qq -y -t vivid install gettext
 - export CC=gcc-4.8 CXX=g++-4.8
script:
 - make
 - make test
 - ./test/integration/run-tests -q
 - sudo adduser --force-badname --system --home /nonexistent --no-create-home --quiet _apt || true
 - sudo ./test/integration/run-tests -q
